Remote Jobs
Runners
Register, list and remove remote runners.
Register a new runner
POST
https://peertube2.cpy.re/api/v1/runners/register
API used by PeerTube runners
Body
application/json
registrationTokenstringrequirednamestringrequireddescriptionstringResponse
200OKobject
successful operation
Unregister a runner
POST
https://peertube2.cpy.re/api/v1/runners/unregister
API used by PeerTube runners
Body
application/json
runnerTokenstringrequiredResponse
204No Content
successful operation
Delete a runner
DELETE
Body
application/json
runnerTokenstringrequiredParameters
runnerIdintegerrequiredpathResponse
204No Content
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List runners
GET
https://peertube2.cpy.re/api/v1/runners
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringcreatedAtquerySort runners by criteria
Response
200OKobject
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
